<?php
header("content-type:text/html;charset=utf-8");
include "../hexin.php";
$mm="han001";
$xx=$_SESSION["xx"];
$sz=explode("\n",$xx);
foreach($sz as $xx)
{
$id++;
$json=json_decode(zhuanyi1($xx),true);
$jxnr=json_decode($json["neirong"],true);
}
//机器人
if($jxnr["type"]=="艾特")
{
if("1378608742"==$jxnr["zhanghao"])
{
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"艾特","zhanghao"=>"".$json["zhanghao"]."","neirong"=>"@".$json["nicheng"]."[换行]不要艾特我了[换行]很烦的，你艾特别的机器人去"),JSON_UNESCAPED_UNICODE)."");
}
}
else if($jxnr["type"]=="文本")
{
if($jxnr["neirong"]=="菜单")
{
$data="<span class=\"xuancai\">娱乐系统，访站系统[换行]其它系统，等待更新</span>";
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="测试")
{
echo $_COOKIE["param"];
}
else if($jxnr["neirong"]=="娱乐系统")
{
$data="🌷玩游戏[换行]🌷解答问题[换行]🌷抢红包[换行]🌷禁言我[换行]🌷封我号[换行]🌷畅聊邮箱[内容][换行]🌷图片头衔[图链][换行]";
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="玩游戏")
{
$zc=json_encode(array("biaoti"=>"找茬","neirong"=>"找茬"),JSON_UNESCAPED_UNICODE);
$dds=json_encode(array("biaoti"=>"打地鼠","neirong"=>"打地鼠"),JSON_UNESCAPED_UNICODE);
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"推送","neirong"=>"".$zc.",".$dds.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="解答问题")
{
$zc=json_encode(array("biaoti"=>"聊天室作者?","neirong"=>"聊天室作者?"),JSON_UNESCAPED_UNICODE);
$dds=json_encode(array("biaoti"=>"聊天室如何使用?","neirong"=>"聊天室如何使用?"),JSON_UNESCAPED_UNICODE);
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"推送","neirong"=>"".$zc.",".$dds.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="聊天室作者?")
{
$data="昵称：Sunset(欢欢)[换行]Q Q：2955036981[换行]博客地址97yingshi.cn/bk";
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="聊天室如何使用?")
{
$data="有眼睛的都能看到，合QQ差不多";
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="找茬")
{
$data=post("http://".$ym."/cl/robot/yx/zc/index.php","id=1378608742");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data."[换行]例:“我找12”[换行]就是第一行第二个"),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(我找) ?([0-9]+)\$/",$jxnr["neirong"],$nr))
{
$data=duqu("./yx/zc/1378608742.txt");
if($nr[2]==$data)
{
$data=post("http://".$ym."/cl/robot/yx/zc/index.php","id=1378608742");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"你太棒了[换行]".$data."[换行]例:“我找12”[换行]就是第一行第二个"),JSON_UNESCAPED_UNICODE)."");
}
else
{
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"你太笨了[换行]重新找找看。"),JSON_UNESCAPED_UNICODE)."");
}
}
else if($jxnr["neirong"]=="打地鼠")
{
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>'<a href="http://'.$ym.'/cl/youxi/dds">点我进入打地鼠</a>'),JSON_UNESCAPED_UNICODE)."");
}
}
else if($jxnr["neirong"]=="禁言我")
{
$jy=post("http://".$ym."/cl/cl.php","zh=2955036981&mm=".$mm."&nr=禁言".$json["zhanghao"]."，".date("YmdHis",strtotime("+1 minute"))."");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$jy.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="封我号")
{
file_put_contents("../shuoju/fenghao/".$json["zhanghao"].".txt",date("YmdHis",strtotime("+1 minute")));
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"娱乐封号一分钟成功"),JSON_UNESCAPED_UNICODE)."");
}
else
{
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"没有权限！"),JSON_UNESCAPED_UNICODE)."");
}
if(preg_match("/^(图片头衔) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
file_put_contents("../shuoju/ziliao/".$json["zhanghao"]."/renzheng.txt",json_encode(array("renzheng"=>"企业","img"=>"".$nr[2]."","width"=>"15","height"=>"10","shijian"=>"".date("YmdHis",strtotime("+5 minute")).""),JSON_UNESCAPED_UNICODE));
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"更换成功[换行]有效期5分钟[换行]此功能仅体验。"),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(畅聊邮箱) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=lipenglei&nr=发送邮箱".$json["zhanghao"]."，".json_encode(array("biaoti"=>"畅聊邮箱","neirong"=>"".$nr[2].""),JSON_UNESCAPED_UNICODE)."");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"发送邮箱成功"),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="访站系统")
{
$data="🌷访问[网址][换行]🌷post[url]，[参数]";
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(访问) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=file_get_contents($nr[2]);
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"内容如下:[换行]".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(post) ?(.*?)，(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=post($nr[2],$nr[3]);
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"内容如下:[换行]".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="其它系统")
{
$data="🌷刷新[换行]🌷解析[内容][换行]🌷ping[域名][换行]🌷点歌[歌名][换行]🌷测速[域名][换行]🌷搜图[名称][换行]🌷设置挂件[id][换行]🌷设置气泡[id][换行]🌷秀图[id]，[名称][换行]🌷推送[标题]，[内容]";
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(推送) ?(.*?)，(.*?)\$/",$jxnr["neirong"],$nr))
{
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"推送","biaoti"=>"".$nr[2]."","neirong"=>"".$nr[3].""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(ping) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=post("http://".$ym."/ipadj/ping2.php?url=".$nr[2]."");
$data=str_replace("\n","<br>",$data);
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(点歌) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=post("http://".$ym."/ipadj/kugou.php?msg=".$nr[2]."&b=1&c=mp3");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"<audio style=\"width:220px;\" controls=\"controls\" src=\"".$data."\" type=\"audio/ogg\"></audio>"),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(测速) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=post("http://".$ym."/ipadj/cs.php?url=".$nr[2]."");
$data=str_replace("\n","<br>",$data);
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"".$data.""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(搜图) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=post("http://".$ym."/ipadj/st.php?txt=".$nr[2]."");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"图文","img"=>"".$data."","neirong"=>"".$nr[2].""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(全屏搜图) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=post("http://".$ym."/ipadj/st.php?txt=".$nr[2]."");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"全屏图文","img"=>"".$data."","neirong"=>"".$nr[2].""),JSON_UNESCAPED_UNICODE)."");
}
else if($jxnr["neirong"]=="刷新")
{
$qp=duqu("../shuoju/ziliao/1378608742/qipao.txt");
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"刷新成功[换行]当前ID：".$id."[换行]当前气泡：".$qp.""),JSON_UNESCAPED_UNICODE)."");
}
else if(preg_match("/^(解析) ?(.*?)\$/",$jxnr["neirong"],$nr))
{
$data=json_decode('"'.$nr[2].'"');
post("http://".$ym."/cl/cl.php","zh=1378608742&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"文本","neirong"=>"内容如下:[换行]".$data.""),JSON_UNESCAPED_UNICODE)."");
}
//新闻
if($jxnr["type"]=="艾特")
{
if("2764652853"==$jxnr["zhanghao"])
{
post("http://".$ym."/cl/cl.php","zh=2764652853&mm=".$mm."&nr=发送消息".json_encode(array("type"=>"新闻","neirong"=>'{"img":"https://inews.gtimg.com/newsapp_ls/0/12458170264_640480/0","text":"震撼！解放军赴俄参加军演俄方公布运20降落现场画面","url":"https://xw.qq.com/cmsid/20200913V026EX00"}{"img":"https://inews.gtimg.com/newsapp_bt/0/12458575330/641","text":"特朗普效仿山姆大叔经典征兵广告拉票，结果被网友怼了","url":"https://xw.qq.com/zt/20200601006224/WLD20200601006224LY"}{"img":"https://inews.gtimg.com/newsapp_bt/0/12343783069/641","text":"65岁周润发近照吓坏网友：成年人的认命，从放弃身材开始","url":"https://xw.qq.com/cmsid/20200912A0IZB600"}'),JSON_UNESCAPED_UNICODE)."");
}
}
?>